import { default as React } from 'react';
import { User, AddUserData, UpdateEmailData, ConfirmEmailData, ConfirmEmailResponse, Roles, Products } from '../utils';
interface IAtlasProvider {
    isVerified: boolean;
    isSigningIn: boolean;
    isAddingUser: boolean;
    isFetchingUser: boolean;
    isUpdatingUser: boolean;
    isUploadingFile: boolean;
    user: User | undefined;
    userExists: boolean;
    authoriseUser: () => Promise<void>;
    addUser: (userSettings: AddUserData) => Promise<boolean>;
    updateEmail: (userSettings: UpdateEmailData) => Promise<boolean>;
    uploadFile: (file: File, role: Roles) => Promise<string | null>;
    confirmEmail: (userSettings: ConfirmEmailData) => Promise<ConfirmEmailResponse & {
        isError: boolean;
    }>;
}
interface AtlasConfig {
    uri: string;
    product: Products;
}
export declare const AtlasProvider: React.FC<{
    config: AtlasConfig;
    children?: React.ReactNode;
}>;
export declare const useAtlasProvider: () => IAtlasProvider;
export default AtlasProvider;
